%define anolis_release 1
%global debug_package %{nil}

Summary:        Encrypted overlay filesystem written in Go
Name:           gocryptfs
Version:        2.4.0
Release:        %{anolis_release}%{?dist}
License:        MIT
URL:            https://github.com/openanolis/gocryptfs
Source0:        https://github.com/openanolis/gocryptfs/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:        vendor.tar.gz

BuildRequires:  make
BuildRequires:  gcc
BuildRequires:  go
BuildRequires:  fuse-devel
BuildRequires:  openssl-devel
Requires:       fuse
ExclusiveArch:  x86_64

%description
gocryptfs is an encrypted overlay filesystem written in Go. It uses AES-GCM to encrypt file contents and names.

%prep
%setup -q
tar -xzf %{SOURCE1} -C .

%build
export VERSION=%{version}
chmod +x ./build.bash
./build.bash

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/bin
install -m 0755 gocryptfs %{buildroot}/usr/bin/gocryptfs
install -m 0755 gocryptfs-xray/gocryptfs-xray %{buildroot}/usr/bin/gocryptfs-xray

%files
%license LICENSE
%doc README.md
/usr/bin/gocryptfs
/usr/bin/gocryptfs-xray

%changelog
* Thu May 22 2025 zhaoshang <zhaoshang.zs@alibaba-inc.com> - 2.4.0-1
- add tag v2.4.0 at commit 8979cca
